Welcome to ProfTMB, the Profile fed HMM for predicting
transmembrane beta barrels from sequence.

	This README file assumes you have successfully installed ProfTMB
as explained in the file INSTALL.

To run proftmb with example input, type:

proftmb @<full-path-to-options-file>

where <full-path-to-options-file> will be
'/usr/local/share/proftmb/options' or
'$(prefix)/share/proftmb/options'

if you ran configure with the --prefix option.


you may view and set options interactively by appending a '$' to the
end of the command, as in:

proftmb @options $

The menu will look something like this:

proftmb
-d "."                             root path where files (options
                                   -s,-r,-l,-a,-e,-t,-n) reside
-s "TrainingSeqs"                  labelled training sequence file
-r "Architecture"                  architecture file
-l "Label2Label"                   label-to-label file
-a "Label2Arch"                    label-to-arch file
-e "TiedStates"                    arch-to-emission file
-t "StateRedux2"                   beta-state labels file
-n "NCBIGnegComp"                  background frequency file
-q ""                              psiblast profile (-Q) or directory
                                   (full pathname or relative to current
                                   directory) with many profiles
-b 25                              minimum bits score for per-residue
                                   prediction
-o "Results"                       output file prefix
(Type ? for Help)
->

You only need to change options -d,-q,-b, and -o.  Type:

-d /usr/local/share/proftmb<enter>

(or whatever directory the 'options' file is in.  Note that this
directory also contains files 'TrainingSeqs', 'Architecture', etc.

Then, specify either the name of your own psiblast profile or the name
of a directory containing multiple psiblast profiles by typing:

-q <my-psiblast-file><enter>

or:

-q <my_psiblast-directory><enter>

This type of file is generated using blastpgp from the blast software
distribution with the command:

blastpgp -d <database> -i <input_fasta_file> -e 1 -j 2 -Q
<output_psiblast_profile> -o /dev/null

Please see http://www.ncbi.nih.gov/BLAST/ for downloading and
documentation of psiblast (blastpgp).

Then provide a name for the output file:

-o <my-favorite-name><enter>

Type '=' to run the program.

all options may be specified non-interactively with a syntax (e.g.):

$ proftmb @options -q <my-psiblast-file> -o <my-favorite-name>

This is described in the opt-3.19 manual available from the proftmb
website (http://cubic.bioc.columbia.edu/services/proftmb) or the
original opt-3.19 website
(http://nis-www.lanl.gov/~jt/Software/opt/opt-3.19.tar.gz)


Optionally, you may change the bits score cutoff.  The value of 25
corresponds to a whole protein accuracy of 90%.  That is, 90% of all
proteins getting a score over 25 bits were found to be transmembrane
beta barrels.  This is the cutoff above which proftmb considers the
protein a TMB, and will provide a per-residue prediction.  It should
be kept in mind that per-residue accuracy was compiled on a jackknifed
set of 8 proteins, whose average bits score was 49.1.  Therefore, for
comperable per-residue accuracy, this value should be set to
approximately 50.  Since these were the only unique set of structures
available, it is not known what the per-residue accuracy would be on a
protein achieving a bits score of 25.


In principle, the user may change the content of other files.  The
file 'StateRedux2' specifies a reduction from multi-states to 2
states.  For a 3-state per-residue prediction (inner loop, outer loop,
transmembrane strand), you may use the provided file 'StateRedux3' for
example.

The effect of other files is described in the 'Supporting Online
Material' (from http://cubic.bioc.columbia.edu/services/proftmb).
Advanced users may generate a different set of files to specify a
model for the prediction of a different protein family.


Good Luck!

Henry Bigelow
Jan. 28, 2004
